import {NO_ERRORS_SCHEMA} from "@angular/core";
import {
  ComponentFixture,
  TestBed,
  waitForAsync,
} from "@angular/core/testing";
import {ReactiveFormsModule} from "@angular/forms";
import {MatDialogModule} from "@angular/material/dialog";
import {MockTranslatePipe} from "../../../../../../test-helpers/mock-translate.pipe";

import {DepositFilesUploadInProgressPresentational} from "./deposit-files-upload-in-progress.presentational";

xdescribe("DepositFilesUploadInProgressPresentational", () => {
  let component: DepositFilesUploadInProgressPresentational;
  let fixture: ComponentFixture<DepositFilesUploadInProgressPresentational>;

  beforeEach(waitForAsync(() => {
    TestBed.configureTestingModule({
      imports: [ReactiveFormsModule, MatDialogModule],
      declarations: [DepositFilesUploadInProgressPresentational, MockTranslatePipe],
      schemas: [NO_ERRORS_SCHEMA],
    })
      .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(DepositFilesUploadInProgressPresentational);
    component = fixture.componentInstance;
    component.listFilesUploading = [];
    fixture.detectChanges();
  });

  it("should create", () => {
    expect(component).toBeTruthy();
  });
});
