import {Enums} from "@enums";
import {
  FileUploadWrapper,
  MappingObject,
} from "solidify-frontend";

export interface DlcmFileUploadWrapper extends FileUploadWrapper {
  subDirectory: string;
  dataCategory: Enums.DataFile.DataCategoryEnum;
  dataType: Enums.DataFile.DataTypeEnum;
  metadataType: string;
  checksums: MappingObject<string>; // Enums.DataFile.ChecksumAlgoEnum, string
  checksumsOrigin: MappingObject<Enums.DataFile.ChecksumOriginEnum>; // Enums.DataFile.ChecksumAlgoEnum, Enums.DataFile.ChecksumOriginEnum
}
