import {
  ChangeDetectionStrategy,
  Component,
  OnInit,
} from "@angular/core";
import {DataTestEnum} from "@shared/enums/data-test.enum";
import {SearchInputPresentational} from "solidify-frontend";

@Component({
  selector: "dlcm-home-search-bar",
  templateUrl: "./home-search-bar.presentational.html",
  styleUrls: ["./home-search-bar.presentational.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class HomeSearchBarPresentational extends SearchInputPresentational implements OnInit {
  get dataTestEnum(): typeof DataTestEnum {
    return DataTestEnum;
  }
}
