import {NgModule} from "@angular/core";
import {PreservationPlanningAipDownloadedNotFoundRoutable} from "@preservation-planning/aip-downloaded/components/routables/aip-downloaded-not-found/preservation-planning-aip-downloaded-not-found.routable";
import {PreservationPlanningAipDownloadedRoutingModule} from "@preservation-planning/aip-downloaded/preservation-planning-aip-downloaded-routing.module";

const routables = [
  PreservationPlanningAipDownloadedNotFoundRoutable,
];
const containers = [];
const dialogs = [];
const presentationals = [];

@NgModule({
  declarations: [
    ...routables,
    ...containers,
    ...dialogs,
    ...presentationals,
  ],
  imports: [
    PreservationPlanningAipDownloadedRoutingModule,
  ],
  entryComponents: [
    ...dialogs,
  ],
  exports: [
    ...routables,
  ],
  providers: [],
})
export class PreservationPlanningAipDownloadedModule {
}
