import {NgModule} from "@angular/core";
import {RouterModule} from "@angular/router";
import {AppRoutesEnum} from "@app/shared/enums/routes.enum";
import {DlcmRoutes} from "@app/shared/models/dlcm-route.model";
import {PreservationPlanningDepositListRoutable} from "@preservation-planning/deposit/components/routables/deposit-list/preservation-planning-deposit-list.routable";

const routes: DlcmRoutes = [
  {
    path: AppRoutesEnum.root,
    component: PreservationPlanningDepositListRoutable,
    data: {},
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PreservationPlanningDepositRoutingModule {
}
