import {icons} from "@app/icons";
import {IconNameEnum} from "@shared/enums/icon-name.enum";
import {IconInfos} from "solidify-frontend";

export class IconHelper {
  static getIcon(name: IconNameEnum): IconInfos | undefined {
    return icons.find(i => i.name === name);
  }
}
