import {defaultEnvironment} from "@environments/environment.defaults";
import {ThemeEnum} from "@shared/enums/theme.enum";
import {DlcmEnvironment} from "./environment.defaults.model";

export const environment: DlcmEnvironment = {
  ...defaultEnvironment,
  production: true,
  theme: ThemeEnum.yareta,
  computeOAuthEndpoint: true,
  admin: "https://test.dlcm.ch/administration/",
  clientId: "dlcm-test-angular",
  redirectUrl: "https://test.dlcm.ch/portal/",
  showDebugInformation: false,
};
