import {
  ChangeDetectionStrategy,
  Component,
} from "@angular/core";
import {SharedAbstractContainer} from "@shared/components/containers/shared-abstract/shared-abstract.container";
import {AppStatusService} from "solidify-frontend";

@Component({
  selector: "dlcm-token-dialog",
  templateUrl: "./update-version.dialog.html",
  styleUrls: ["./update-version.dialog.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class UpdateVersionDialog extends SharedAbstractContainer {
  constructor(private _appStatusService: AppStatusService) {
    super();
  }

  update(): void {
    this._appStatusService.reloadApp();
  }
}
