import {
  ComponentFixture,
  TestBed,
  waitForAsync,
} from "@angular/core/testing";
import {TwitterService} from "@app/features/home/services/twitter.service";
import {MockTwitterService} from "../../../../../../test-helpers/mock-twitter.service";

import {HomeTwitterWidgetPresentational} from "./home-twitter-widget.presentational";

describe("HomeTwitterWidgetPresentational", () => {
  let component: HomeTwitterWidgetPresentational;
  let fixture: ComponentFixture<HomeTwitterWidgetPresentational>;

  beforeEach(waitForAsync(() => {
    TestBed.configureTestingModule({
      declarations: [HomeTwitterWidgetPresentational],
      providers: [
        {
          provide: TwitterService,
          useClass: MockTwitterService,
        },
      ],
    })
      .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(HomeTwitterWidgetPresentational);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  xit("should create", () => {
    expect(() => fixture.detectChanges()).not.toThrow();
  });
});
