import {
  ChangeDetectionStrategy,
  Component,
  Input,
} from "@angular/core";
import {SharedAbstractPresentational} from "@shared/components/presentationals/shared-abstract/shared-abstract.presentational";

@Component({
  selector: "dlcm-shared-progress-bar",
  templateUrl: "./shared-progress-bar.presentational.html",
  styleUrls: ["./shared-progress-bar.presentational.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})

export class SharedProgressBarPresentational extends SharedAbstractPresentational {
  @Input()
  value: number;
}
