import {DataTableComponentPartialEnum} from "solidify-frontend";

enum DataTableComponentExtendEnum {
  aipStatusSummaryPresentational = "aipStatusSummaryPresentational",
  aipStatusNamePresentational = "aipStatusNamePresentational",
  aipStatusOrgUnitPresentational = "aipStatusOrgUnitPresentational",
  conformityLevelStar = "conformityLevelStar",
  dataFileQuickStatus = "dataFileQuickStatus",
  jobExecutionProgression = "jobExecutionProgression",
  organizationalUnitName = "organizationalUnitName",
  archive = "archive",
  adminResearchDomainLabel = "adminResearchDomainLabel",
  accessLevel = "accessLevel",
  status = "status",
  logo = "logo",
  organizationalUnitMember = "organizationalUnitMember",
  sensitivity = "sensitivity",
  archivePublicationDate = "archivePublicationDate",
  accessLevelWithEmbargo = "accessLevelWithEmbargo",
}

export const DataTableComponentEnum = {...DataTableComponentPartialEnum, ...DataTableComponentExtendEnum} as Omit<typeof DataTableComponentPartialEnum, keyof typeof DataTableComponentExtendEnum> & typeof DataTableComponentExtendEnum;
export type DataTableComponentEnum = typeof DataTableComponentEnum[keyof typeof DataTableComponentEnum];
