import {MARK_AS_TRANSLATABLE} from "solidify-frontend";

export class LabelTranslateEnum {
  static back: string = MARK_AS_TRANSLATABLE("general.button.back");
  static backToHomePage: string = MARK_AS_TRANSLATABLE("general.button.backToHomePage");
  static backToList: string = MARK_AS_TRANSLATABLE("general.button.backToList");
  static exitEditMode: string = MARK_AS_TRANSLATABLE("general.button.exitEditMode");
  static backToAdmin: string = MARK_AS_TRANSLATABLE("general.button.backToAdmin");
  static backToStoragionList: string = MARK_AS_TRANSLATABLE("general.button.backToStoragionList");
  static backToArchiveOrders: string = MARK_AS_TRANSLATABLE("general.button.backToArchiveOrders");
  static backToJobDetail: string = MARK_AS_TRANSLATABLE("general.button.backToJobDetail");
  static backToNotification: string = MARK_AS_TRANSLATABLE("general.button.backToNotification");
  static backToPreservationPlanning: string = MARK_AS_TRANSLATABLE("general.button.backToPreservationPlanning");
  static backToListMyOrder: string = MARK_AS_TRANSLATABLE("general.button.backToListMyOrder");
  static backToOrganizationalUnit: string = MARK_AS_TRANSLATABLE("general.button.backToOrganizationalUnit");
  static backToArchiveDetail: string = MARK_AS_TRANSLATABLE("general.button.backToArchiveDetail");
  static save: string = MARK_AS_TRANSLATABLE("general.button.save");
  static cancel: string = MARK_AS_TRANSLATABLE("general.button.cancel");
  static create: string = MARK_AS_TRANSLATABLE("general.button.create");
  static createDeposit: string = MARK_AS_TRANSLATABLE("general.button.createDeposit");
  static delete: string = MARK_AS_TRANSLATABLE("general.button.delete");
  static download: string = MARK_AS_TRANSLATABLE("general.button.download");
  static downloadAll: string = MARK_AS_TRANSLATABLE("general.button.downloadAll");
  static refresh: string = MARK_AS_TRANSLATABLE("general.button.refresh");
  static login: string = MARK_AS_TRANSLATABLE("general.button.login");
  static logout: string = MARK_AS_TRANSLATABLE("general.button.logout");
  static close: string = MARK_AS_TRANSLATABLE("general.button.close");
  static next: string = MARK_AS_TRANSLATABLE("general.button.next");
  static confirm: string = MARK_AS_TRANSLATABLE("general.button.confirm");
  static validate: string = MARK_AS_TRANSLATABLE("general.button.validate");
  static rate: string = MARK_AS_TRANSLATABLE("general.button.rate");
  static run: string = MARK_AS_TRANSLATABLE("general.button.run");
  static resume: string = MARK_AS_TRANSLATABLE("general.button.resume");
  static showHistoryStatus: string = MARK_AS_TRANSLATABLE("general.button.showHistoryStatus");
  static seeObject: string = MARK_AS_TRANSLATABLE("general.button.seeObject");
  static markAsRefused: string = MARK_AS_TRANSLATABLE("general.button.markAsRefused");
  static markAsDone: string = MARK_AS_TRANSLATABLE("general.button.markAsDone");
  static markAsPending: string = MARK_AS_TRANSLATABLE("general.button.markAsPending");
  static markAsUnread: string = MARK_AS_TRANSLATABLE("general.button.markAsUnread");
  static markAsRead: string = MARK_AS_TRANSLATABLE("general.button.markAsRead");
  static process: string = MARK_AS_TRANSLATABLE("general.button.process");
  static add: string = MARK_AS_TRANSLATABLE("general.button.add");
  static retry: string = MARK_AS_TRANSLATABLE("general.button.retry");
  static init: string = MARK_AS_TRANSLATABLE("general.button.init");
  static rename: string = MARK_AS_TRANSLATABLE("general.button.rename");
  static approve: string = MARK_AS_TRANSLATABLE("general.button.approve");
  static reject: string = MARK_AS_TRANSLATABLE("general.button.reject");
  static submit: string = MARK_AS_TRANSLATABLE("general.button.submit");
  static resubmit: string = MARK_AS_TRANSLATABLE("general.button.resubmit");
  static edit: string = MARK_AS_TRANSLATABLE("general.button.edit");
  static copyIdToClipboard: string = MARK_AS_TRANSLATABLE("general.button.copyIdToClipboard");
  static clearCache: string = MARK_AS_TRANSLATABLE("general.button.clearCache");
  static yes: string = MARK_AS_TRANSLATABLE("general.button.yes");
  static no: string = MARK_AS_TRANSLATABLE("general.button.no");
  static yesImSure: string = MARK_AS_TRANSLATABLE("general.button.yesImSure");
  static returnToEditing: string = MARK_AS_TRANSLATABLE("general.button.returnToEditing");
  static reserveDoi: string = MARK_AS_TRANSLATABLE("general.button.reserveDoi");
  static addToDownloadOrder: string = MARK_AS_TRANSLATABLE("general.button.addToDownloadOrder");
  static requestAccess: string = MARK_AS_TRANSLATABLE("general.button.requestAccess");
  static doNotIgnore: string = MARK_AS_TRANSLATABLE("general.button.doNotIgnore");
  static move: string = MARK_AS_TRANSLATABLE("general.button.move");
  static changeDataCategoryType: string = MARK_AS_TRANSLATABLE("general.button.changeDataCategoryType");
  static showPreview: string = MARK_AS_TRANSLATABLE("general.button.showPreview");
  static completionStatus: string = MARK_AS_TRANSLATABLE("general.button.completionStatus");
  static seePersonDetail: string = MARK_AS_TRANSLATABLE("general.button.seePersonDetail");
  static goToAip: string = MARK_AS_TRANSLATABLE("general.button.goToAip");
  static seeContributorDetail: string = MARK_AS_TRANSLATABLE("general.button.seeContributorDetail");
  static seeNotifications: string = MARK_AS_TRANSLATABLE("general.button.seeNotifications");
  static seeSentRequest: string = MARK_AS_TRANSLATABLE("general.button.seeSentRequest");
  static seeOrganizationalUnitDetail: string = MARK_AS_TRANSLATABLE("general.button.seeOrganizationalUnitDetail");
  static seePreservationPolicyDetail: string = MARK_AS_TRANSLATABLE("general.button.seePreservationPolicyDetail");
  static seeSubmissionPolicyDetail: string = MARK_AS_TRANSLATABLE("general.button.seeSubmissionPolicyDetail");
  static seeDisseminationPolicyDetail: string = MARK_AS_TRANSLATABLE("general.button.seeDisseminationPolicyDetail");
  static seeResearchAreaDetail: string = MARK_AS_TRANSLATABLE("general.button.seeResearchAreaDetail");
  static seeInstitutionDetail: string = MARK_AS_TRANSLATABLE("general.button.seeInstitutionDetail");
  static seeFundingAgencyDetail: string = MARK_AS_TRANSLATABLE("general.button.seeFundingAgencyDetail");
  static seeLicenseDetail: string = MARK_AS_TRANSLATABLE("general.button.seeLicenseDetail");
  static deleteSelection: string = MARK_AS_TRANSLATABLE("general.button.deleteSelection");
  static resumeSelection: string = MARK_AS_TRANSLATABLE("general.button.resumeSelection");
  static doNotIgnoreSelection: string = MARK_AS_TRANSLATABLE("general.button.doNotIgnoreSelection");
  static see: string = MARK_AS_TRANSLATABLE("general.button.see");
  static check: string = MARK_AS_TRANSLATABLE("general.button.check");
  static approveDisposal: string = MARK_AS_TRANSLATABLE("general.button.approveDisposal");
  static deepChecksums: string = MARK_AS_TRANSLATABLE("general.button.deepChecksums");
  static disposeOf: string = MARK_AS_TRANSLATABLE("general.button.disposeOf");
  static extendTheRetention: string = MARK_AS_TRANSLATABLE("general.button.extendTheRetention");
  static reindex: string = MARK_AS_TRANSLATABLE("general.button.reindex");
  static simpleChecksums: string = MARK_AS_TRANSLATABLE("general.button.simpleChecksums");
  static send: string = MARK_AS_TRANSLATABLE("general.button.send");
  static downloadFolder: string = MARK_AS_TRANSLATABLE("general.button.downloadFolder");
  static deleteFolder: string = MARK_AS_TRANSLATABLE("general.button.deleteFolder");
  static deleteAll: string = MARK_AS_TRANSLATABLE("general.button.deleteAll");
  static uploadData: string = MARK_AS_TRANSLATABLE("general.button.uploadData");
  static fullscreen: string = MARK_AS_TRANSLATABLE("general.button.fullscreen");
  static exitFullscreen: string = MARK_AS_TRANSLATABLE("general.button.exitFullscreen");
  static decline: string = MARK_AS_TRANSLATABLE("general.button.decline");
  static allowCookies: string = MARK_AS_TRANSLATABLE("general.button.allowCookies");
  static deleteDeposit: string = MARK_AS_TRANSLATABLE("general.button.deleteDeposit");
  static putInError: string = MARK_AS_TRANSLATABLE("general.button.putInError");

  static home: string = MARK_AS_TRANSLATABLE("general.label.home");
  static uploadAvatar: string = MARK_AS_TRANSLATABLE("general.label.uploadAvatar");
  static archiveOrders: string = MARK_AS_TRANSLATABLE("general.label.archiveOrders");
  static profile: string = MARK_AS_TRANSLATABLE("general.label.profile");
  static userGuide: string = MARK_AS_TRANSLATABLE("general.label.userGuide");
  static toolsGuide: string = MARK_AS_TRANSLATABLE("general.label.toolsGuide");
  static apis: string = MARK_AS_TRANSLATABLE("general.label.apis");
  static integrationGuide: string = MARK_AS_TRANSLATABLE("general.label.integrationGuide");
  static developerDocumentation: string = MARK_AS_TRANSLATABLE("general.label.developerDocumentation");
  static themes: string = MARK_AS_TRANSLATABLE("general.label.themes");
  static file: string = MARK_AS_TRANSLATABLE("general.label.file");
  static files: string = MARK_AS_TRANSLATABLE("general.label.files");
  static size: string = MARK_AS_TRANSLATABLE("general.label.size");
  static archive: string = MARK_AS_TRANSLATABLE("general.label.archive");
  static archiveAcl: string = MARK_AS_TRANSLATABLE("general.label.archiveAcl");
  static archives: string = MARK_AS_TRANSLATABLE("general.label.archives");
  static metadata: string = MARK_AS_TRANSLATABLE("general.label.metadata");
  static collection: string = MARK_AS_TRANSLATABLE("general.label.collection");
  static collections: string = MARK_AS_TRANSLATABLE("general.label.collections");
  static units: string = MARK_AS_TRANSLATABLE("general.label.units");
  static all: string = MARK_AS_TRANSLATABLE("general.label.all");
  static storagion: string = MARK_AS_TRANSLATABLE("general.label.storagion");
  static deposit: string = MARK_AS_TRANSLATABLE("general.label.deposit");
  static depositCreation: string = MARK_AS_TRANSLATABLE("general.label.depositCreation");
  static depositApprobation: string = MARK_AS_TRANSLATABLE("general.label.depositApprobation");
  static deposits: string = MARK_AS_TRANSLATABLE("general.label.deposits");
  static preservationSpace: string = MARK_AS_TRANSLATABLE("general.label.preservationSpace");
  static preservationPlanning: string = MARK_AS_TRANSLATABLE("general.label.preservationPlanning");
  static administration: string = MARK_AS_TRANSLATABLE("general.label.administration");
  static token: string = MARK_AS_TRANSLATABLE("general.label.token");
  static copyToClipboard: string = MARK_AS_TRANSLATABLE("general.label.copyToClipboard");
  static monitoring: string = MARK_AS_TRANSLATABLE("general.label.monitoring");
  static jobs: string = MARK_AS_TRANSLATABLE("general.label.jobs");
  static archivingStatus: string = MARK_AS_TRANSLATABLE("general.label.archivingStatus");
  static aipDownloaded: string = MARK_AS_TRANSLATABLE("general.label.aipDownloaded");
  static aipStatuses: string = MARK_AS_TRANSLATABLE("general.label.aipStatuses");
  static aip: string = MARK_AS_TRANSLATABLE("general.label.aip");
  static dip: string = MARK_AS_TRANSLATABLE("general.label.dip");
  static sip: string = MARK_AS_TRANSLATABLE("general.label.sip");
  static package: string = MARK_AS_TRANSLATABLE("general.label.package");
  static agent: string = MARK_AS_TRANSLATABLE("general.label.agent");
  static organizationalUnit: string = MARK_AS_TRANSLATABLE("general.label.organizationalUnit");
  static organizationalUnits: string = MARK_AS_TRANSLATABLE("general.label.organizationalUnits");
  static submissionPolicy: string = MARK_AS_TRANSLATABLE("general.label.submissionPolicy");
  static submissionPolicies: string = MARK_AS_TRANSLATABLE("general.label.submissionPolicies");
  static preservationPolicy: string = MARK_AS_TRANSLATABLE("general.label.preservationPolicy");
  static preservationPolicies: string = MARK_AS_TRANSLATABLE("general.label.preservationPolicies");
  static disseminationPolicy: string = MARK_AS_TRANSLATABLE("general.label.disseminationPolicy");
  static disseminationPolicies: string = MARK_AS_TRANSLATABLE("general.label.disseminationPolicies");
  static license: string = MARK_AS_TRANSLATABLE("general.label.license");
  static licenses: string = MARK_AS_TRANSLATABLE("general.label.licenses");
  static institution: string = MARK_AS_TRANSLATABLE("general.label.institution");
  static institutions: string = MARK_AS_TRANSLATABLE("general.label.institutions");
  static researchArea: string = MARK_AS_TRANSLATABLE("general.label.researchArea");
  static researchAreas: string = MARK_AS_TRANSLATABLE("general.label.researchAreas");
  static characters: string = MARK_AS_TRANSLATABLE("general.label.characters");
  static separatorCharacterDetected: string = MARK_AS_TRANSLATABLE("general.label.separatorCharacterDetected");
  static theFollowingPastedValue: string = MARK_AS_TRANSLATABLE("general.label.theFollowingPastedValue");
  static includesSeparatorCharacters: string = MARK_AS_TRANSLATABLE("general.label.includesSeparatorCharacters");
  static wouldYouLikeToSeparateTheEnteredValueUsingTheFollowingSeparator: string = MARK_AS_TRANSLATABLE("general.label.wouldYouLikeToSeparateTheEnteredValueUsingTheFollowingSeparator");
  static space: string = MARK_AS_TRANSLATABLE("general.label.space");
  static lineBreak: string = MARK_AS_TRANSLATABLE("general.label.lineBreak");
  static doNotSeparate: string = MARK_AS_TRANSLATABLE("general.label.doNotSeparate");
  static separate: string = MARK_AS_TRANSLATABLE("general.label.separate");
  static semicolon: string = MARK_AS_TRANSLATABLE("general.label.semicolon");
  static comma: string = MARK_AS_TRANSLATABLE("general.label.comma");
  static underscore: string = MARK_AS_TRANSLATABLE("general.label.underscore");
  static dash: string = MARK_AS_TRANSLATABLE("general.label.dash");
  static user: string = MARK_AS_TRANSLATABLE("general.label.user");
  static users: string = MARK_AS_TRANSLATABLE("general.label.users");
  static role: string = MARK_AS_TRANSLATABLE("general.label.role");
  static roles: string = MARK_AS_TRANSLATABLE("general.label.roles");
  static oaiSet: string = MARK_AS_TRANSLATABLE("general.label.oaiSet");
  static oaiSets: string = MARK_AS_TRANSLATABLE("general.label.oaiSets");
  static person: string = MARK_AS_TRANSLATABLE("general.label.person");
  static people: string = MARK_AS_TRANSLATABLE("general.label.people");
  static indexFieldAlias: string = MARK_AS_TRANSLATABLE("general.label.indexFieldAlias");
  static indexFieldAliases: string = MARK_AS_TRANSLATABLE("general.label.indexFieldAliases");
  static fundingAgency: string = MARK_AS_TRANSLATABLE("general.label.fundingAgency");
  static fundingAgencies: string = MARK_AS_TRANSLATABLE("general.label.fundingAgencies");
  static language: string = MARK_AS_TRANSLATABLE("general.label.language");
  static languages: string = MARK_AS_TRANSLATABLE("general.label.languages");
  static metadataType: string = MARK_AS_TRANSLATABLE("general.label.metadataType");
  static metadataTypes: string = MARK_AS_TRANSLATABLE("general.label.metadataTypes");
  static notification: string = MARK_AS_TRANSLATABLE("general.label.notification");
  static notifications: string = MARK_AS_TRANSLATABLE("general.label.notifications");
  static sentRequest: string = MARK_AS_TRANSLATABLE("general.label.sentRequest");
  static sentRequests: string = MARK_AS_TRANSLATABLE("general.label.sentRequests");
  static contributor: string = MARK_AS_TRANSLATABLE("general.label.contributor");
  static contributors: string = MARK_AS_TRANSLATABLE("general.label.contributors");
  static status: string = MARK_AS_TRANSLATABLE("general.label.status");
  static category: string = MARK_AS_TRANSLATABLE("general.label.category");
  static categories: string = MARK_AS_TRANSLATABLE("general.label.categories");
  static type: string = MARK_AS_TRANSLATABLE("general.label.type");
  static types: string = MARK_AS_TRANSLATABLE("general.label.types");
  static created: string = MARK_AS_TRANSLATABLE("general.label.created");
  static updated: string = MARK_AS_TRANSLATABLE("general.label.updated");
  static notifiedOrganizationalUnit: string = MARK_AS_TRANSLATABLE("general.label.notifiedOrganizationalUnit");
  static emitter: string = MARK_AS_TRANSLATABLE("general.label.emitter");
  static message: string = MARK_AS_TRANSLATABLE("general.label.message");
  static firstName: string = MARK_AS_TRANSLATABLE("general.label.firstName");
  static lastName: string = MARK_AS_TRANSLATABLE("general.label.lastName");
  static orcid: string = MARK_AS_TRANSLATABLE("general.label.orcid");
  static allOrders: string = MARK_AS_TRANSLATABLE("general.label.allOrders");
  static myOrders: string = MARK_AS_TRANSLATABLE("general.label.myOrders");
  static myDownloadOrders: string = MARK_AS_TRANSLATABLE("general.label.myDownloadOrders");
  static completed: string = MARK_AS_TRANSLATABLE("general.label.completed");
  static inProgress: string = MARK_AS_TRANSLATABLE("general.label.inProgress");
  static inValidation: string = MARK_AS_TRANSLATABLE("general.label.inValidation");
  static administrativeInformation: string = MARK_AS_TRANSLATABLE("general.label.administrativeInformation");
  static personalInformation: string = MARK_AS_TRANSLATABLE("general.label.personalInformation");
  static email: string = MARK_AS_TRANSLATABLE("general.label.email");
  static getAnAuthenticatedOrcid: string = MARK_AS_TRANSLATABLE("general.label.getAnAuthenticatedOrcid");
  static mandatory: string = MARK_AS_TRANSLATABLE("general.label.mandatory");
  static recommended: string = MARK_AS_TRANSLATABLE("general.label.recommended");
  static optional: string = MARK_AS_TRANSLATABLE("general.label.optional");
  static accessLevel: string = MARK_AS_TRANSLATABLE("general.label.accessLevel");
  static sensitivity: string = MARK_AS_TRANSLATABLE("general.label.sensitivity");
  static embargoAccessLevel: string = MARK_AS_TRANSLATABLE("general.label.embargoAccessLevel");
  static embargoEndDate: string = MARK_AS_TRANSLATABLE("general.label.embargoEndDate");
  static submittedDate: string = MARK_AS_TRANSLATABLE("general.label.submittedDate");
  static acceptedDate: string = MARK_AS_TRANSLATABLE("general.label.acceptedDate");
  static description: string = MARK_AS_TRANSLATABLE("general.label.description");
  static title: string = MARK_AS_TRANSLATABLE("general.label.title");
  static publicationDate: string = MARK_AS_TRANSLATABLE("general.label.publicationDate");
  static publicationYear: string = MARK_AS_TRANSLATABLE("general.label.publicationYear");
  static addMeAsContributor: string = MARK_AS_TRANSLATABLE("general.label.addMeAsContributor");
  static createNewPerson: string = MARK_AS_TRANSLATABLE("general.label.createNewPerson");
  static keywords: string = MARK_AS_TRANSLATABLE("general.label.keywords");
  static keyword: string = MARK_AS_TRANSLATABLE("general.label.keyword");
  static dataCollectionStartDate: string = MARK_AS_TRANSLATABLE("general.label.dataCollectionStartDate");
  static dataCollectionEndDate: string = MARK_AS_TRANSLATABLE("general.label.dataCollectionEndDate");
  static yourInput: string = MARK_AS_TRANSLATABLE("general.label.yourInput");
  static matchingPeople: string = MARK_AS_TRANSLATABLE("general.label.matchingPeople");
  static queryType: string = MARK_AS_TRANSLATABLE("general.label.queryType");
  static query: string = MARK_AS_TRANSLATABLE("general.label.query");
  static selectLanguage: string = MARK_AS_TRANSLATABLE("general.label.selectLanguage");
  static search: string = MARK_AS_TRANSLATABLE("general.label.search");
  static identification: string = MARK_AS_TRANSLATABLE("general.label.identification");
  static complianceLevel: string = MARK_AS_TRANSLATABLE("general.label.complianceLevel");
  static informations: string = MARK_AS_TRANSLATABLE("general.label.informations");
  static fileInformations: string = MARK_AS_TRANSLATABLE("general.label.fileInformations");
  static checksums: string = MARK_AS_TRANSLATABLE("general.label.checksums");
  static analyticalTools: string = MARK_AS_TRANSLATABLE("general.label.analyticalTools");
  static antivirus: string = MARK_AS_TRANSLATABLE("general.label.antivirus");
  static changeTime: string = MARK_AS_TRANSLATABLE("general.label.changeTime");
  static createdBy: string = MARK_AS_TRANSLATABLE("general.label.createdBy");
  static updatedBy: string = MARK_AS_TRANSLATABLE("general.label.updatedBy");
  static detailsOfFile: string = MARK_AS_TRANSLATABLE("general.label.detailsOfFile");
  static resId: string = MARK_AS_TRANSLATABLE("general.label.resId");
  static year: string = MARK_AS_TRANSLATABLE("general.label.year");
  static lastChecksumVerification: string = MARK_AS_TRANSLATABLE("general.label.lastChecksumVerification");
  static container: string = MARK_AS_TRANSLATABLE("general.label.container");
  static numberOfFiles: string = MARK_AS_TRANSLATABLE("general.label.numberOfFiles");
  static metadataVersion: string = MARK_AS_TRANSLATABLE("general.label.metadataVersion");
  static archiveSize: string = MARK_AS_TRANSLATABLE("general.label.archiveSize");
  static retentionDuration: string = MARK_AS_TRANSLATABLE("general.label.retentionDuration");
  static retentionExpiration: string = MARK_AS_TRANSLATABLE("general.label.retentionExpiration");
  static recurrence: string = MARK_AS_TRANSLATABLE("general.label.recurrence");
  static jobType: string = MARK_AS_TRANSLATABLE("general.label.jobType");
  static jobRecurrence: string = MARK_AS_TRANSLATABLE("general.label.jobRecurrence");
  static enabled: string = MARK_AS_TRANSLATABLE("general.label.enabled");
  static executions: string = MARK_AS_TRANSLATABLE("general.label.executions");
  static startDate: string = MARK_AS_TRANSLATABLE("general.label.startDate");
  static endDate: string = MARK_AS_TRANSLATABLE("general.label.endDate");
  static reportNumber: string = MARK_AS_TRANSLATABLE("general.label.reportNumber");
  static itemsProcessed: string = MARK_AS_TRANSLATABLE("general.label.itemsProcessed");
  static itemsIgnored: string = MARK_AS_TRANSLATABLE("general.label.itemsIgnored");
  static itemsInError: string = MARK_AS_TRANSLATABLE("general.label.itemsInError");
  static reportDetail: string = MARK_AS_TRANSLATABLE("general.label.reportDetail");
  static url: string = MARK_AS_TRANSLATABLE("general.label.url");
  static emailSuffixes: string = MARK_AS_TRANSLATABLE("general.label.emailSuffixes");
  static opening: string = MARK_AS_TRANSLATABLE("general.label.opening");
  static closing: string = MARK_AS_TRANSLATABLE("general.label.closing");
  static associatedPeople: string = MARK_AS_TRANSLATABLE("general.label.associatedPeople");
  static associatedOrganizationalUnit: string = MARK_AS_TRANSLATABLE("general.label.associatedOrganizationalUnit");
  static objectNotFound: string = MARK_AS_TRANSLATABLE("general.label.objectNotFound");
  static date: string = MARK_AS_TRANSLATABLE("general.label.date");
  static acronym: string = MARK_AS_TRANSLATABLE("general.label.acronym");
  static submissionApproval: string = MARK_AS_TRANSLATABLE("general.label.submissionApproval");
  static disposalApproval: string = MARK_AS_TRANSLATABLE("general.label.disposalApproval");
  static retention: string = MARK_AS_TRANSLATABLE("general.label.retention");
  static timeToKeep: string = MARK_AS_TRANSLATABLE("general.label.timeToKeep");
  static destinationServer: string = MARK_AS_TRANSLATABLE("general.label.destinationServer");
  static subFolder: string = MARK_AS_TRANSLATABLE("general.label.subFolder");
  static source: string = MARK_AS_TRANSLATABLE("general.label.source");
  static code: string = MARK_AS_TRANSLATABLE("general.label.code");
  static externalUid: string = MARK_AS_TRANSLATABLE("general.label.externalUid");
  static homeOrganization: string = MARK_AS_TRANSLATABLE("general.label.homeOrganization");
  static level: string = MARK_AS_TRANSLATABLE("general.label.level");
  static spec: string = MARK_AS_TRANSLATABLE("general.label.spec");
  static list: string = MARK_AS_TRANSLATABLE("general.label.list");
  static detail: string = MARK_AS_TRANSLATABLE("general.label.detail");
  static filteringResearchAreaBySource: string = MARK_AS_TRANSLATABLE("general.label.filteringResearchAreaBySource");
  static confirmDeleteAction: string = MARK_AS_TRANSLATABLE("general.label.confirmDeleteAction");
  static identifier: string = MARK_AS_TRANSLATABLE("general.label.identifier");
  static doi: string = MARK_AS_TRANSLATABLE("general.label.doi");
  static additionalMetadata: string = MARK_AS_TRANSLATABLE("general.label.additionalMetadata");
  static browsing: string = MARK_AS_TRANSLATABLE("general.label.browsing");
  static openLicenseId: string = MARK_AS_TRANSLATABLE("general.label.openLicenseId");
  static version: string = MARK_AS_TRANSLATABLE("general.label.version");
  static format: string = MARK_AS_TRANSLATABLE("general.label.format");
  static clientId: string = MARK_AS_TRANSLATABLE("general.label.clientId");
  static urlRedirect: string = MARK_AS_TRANSLATABLE("general.label.urlRedirect");
  static nameLabel: string = MARK_AS_TRANSLATABLE("general.label.name");
  static orderNameLabel: string = MARK_AS_TRANSLATABLE("general.label.orderName");
  static fileName: string = MARK_AS_TRANSLATABLE("general.label.fileName");
  static runNumber: string = MARK_AS_TRANSLATABLE("general.label.runNumber");
  static odConformance: string = MARK_AS_TRANSLATABLE("general.label.odConformance");
  static osdConformance: string = MARK_AS_TRANSLATABLE("general.label.osdConformance");
  static maintainer: string = MARK_AS_TRANSLATABLE("general.label.maintainer");
  static isGeneric: string = MARK_AS_TRANSLATABLE("general.label.isGeneric");
  static family: string = MARK_AS_TRANSLATABLE("general.label.family");
  static domainContent: string = MARK_AS_TRANSLATABLE("general.label.domainContent");
  static domainData: string = MARK_AS_TRANSLATABLE("general.label.domainData");
  static domainSoftware: string = MARK_AS_TRANSLATABLE("general.label.domainSoftware");
  static scope: string = MARK_AS_TRANSLATABLE("general.label.scope");
  static accessTokenValidity: string = MARK_AS_TRANSLATABLE("general.label.accessTokenValidity");
  static refreshTokenValidity: string = MARK_AS_TRANSLATABLE("general.label.refreshTokenValidity");
  static grantTypes: string = MARK_AS_TRANSLATABLE("general.label.grantTypes");
  static theDepositHasAnEmbargo: string = MARK_AS_TRANSLATABLE("general.label.theDepositHasAnEmbargo");
  static embargoDuration: string = MARK_AS_TRANSLATABLE("general.label.embargoDuration");
  static embargoStartDate: string = MARK_AS_TRANSLATABLE("general.label.embargoStartDate");
  static statusMessage: string = MARK_AS_TRANSLATABLE("general.label.statusMessage");
  static noFiltering: string = MARK_AS_TRANSLATABLE("general.label.noFiltering");
  static requestMembership: string = MARK_AS_TRANSLATABLE("general.label.requestMembership");
  static desiredOrganizationalUnitName: string = MARK_AS_TRANSLATABLE("general.label.desiredOrganizationalUnitName");
  static desiredRole: string = MARK_AS_TRANSLATABLE("general.label.desiredRole");
  static orcidAuthenticated: string = MARK_AS_TRANSLATABLE("general.label.orcidAuthenticated");
  static data: string = MARK_AS_TRANSLATABLE("general.label.data");
  static reason: string = MARK_AS_TRANSLATABLE("general.label.reason");
  static accessToken: string = MARK_AS_TRANSLATABLE("general.label.accessToken");
  static clickHereToAddAnOrganizationalUnit: string = MARK_AS_TRANSLATABLE("general.label.clickHereToAddAnOrganizationalUnit");
  static clickHereToAddAPolicy: string = MARK_AS_TRANSLATABLE("general.label.clickHereToAddAPolicy");
  static clickHereToAddAResearchArea: string = MARK_AS_TRANSLATABLE("general.label.clickHereToAddAResearchArea");
  static clickHereToAddAnInstitution: string = MARK_AS_TRANSLATABLE("general.label.clickHereToAddAnInstitution");
  static clickHereToAddAnAgency: string = MARK_AS_TRANSLATABLE("general.label.clickHereToAddAnAgency");
  static clickHereToAddAContributor: string = MARK_AS_TRANSLATABLE("general.label.clickHereToAddAContributor");
  static dataCategory: string = MARK_AS_TRANSLATABLE("general.label.dataCategory");
  static dataType: string = MARK_AS_TRANSLATABLE("general.label.dataType");
  static subDirectory: string = MARK_AS_TRANSLATABLE("general.label.subDirectory");
  static newSubDirectory: string = MARK_AS_TRANSLATABLE("general.label.newSubDirectory");
  static listInvalidCharacter: string = MARK_AS_TRANSLATABLE("general.label.listInvalidCharacter");
  static fileToUpload: string = MARK_AS_TRANSLATABLE("general.label.fileToUpload");
  static filesToUpload: string = MARK_AS_TRANSLATABLE("general.label.filesToUpload");
  static currentlyNoFilesInDeposit: string = MARK_AS_TRANSLATABLE("general.label.currentlyNoFilesInDeposit");
  static resultsFound: string = MARK_AS_TRANSLATABLE("general.label.resultsFound");
  static refineResearch: string = MARK_AS_TRANSLATABLE("general.label.refineResearch");
  static clearFilters: string = MARK_AS_TRANSLATABLE("general.label.clearFilters");
  static listView: string = MARK_AS_TRANSLATABLE("general.label.listView");
  static tilesView: string = MARK_AS_TRANSLATABLE("general.label.tilesView");
  static metadataDatacite: string = MARK_AS_TRANSLATABLE("general.label.metadataDatacite");
  static similarArchive: string = MARK_AS_TRANSLATABLE("general.label.similarArchive");
  static uploadLogo: string = MARK_AS_TRANSLATABLE("general.label.uploadLogo");
  static youAreInEditMode: string = MARK_AS_TRANSLATABLE("general.label.inEditMode");
  static additionalInformation: string = MARK_AS_TRANSLATABLE("general.label.additionalInformation");
  static helpForSearch: string = MARK_AS_TRANSLATABLE("general.label.helpForSearch");
  static accessControlled: string = MARK_AS_TRANSLATABLE("general.label.accessControlled");
  static onOrMoreDocumentsAreInAccessControlled: string = MARK_AS_TRANSLATABLE("general.label.onOrMoreDocumentsAreInAccessControlled");
  static thereAreNoCurrentOrderForArchives: string = MARK_AS_TRANSLATABLE("general.label.thereAreNoCurrentOrderForArchives");
  static pendingArchivesOrder: string = MARK_AS_TRANSLATABLE("general.label.pendingArchivesOrder");
  static orderReady: string = MARK_AS_TRANSLATABLE("general.label.orderReady");
  static orderInError: string = MARK_AS_TRANSLATABLE("general.label.orderInError");
  static orderInProgress: string = MARK_AS_TRANSLATABLE("general.label.orderInProgress");
  static metadataSize: string = MARK_AS_TRANSLATABLE("general.label.metadataSize");
  static indexName: string = MARK_AS_TRANSLATABLE("general.label.indexName");
  static alias: string = MARK_AS_TRANSLATABLE("general.label.alias");
  static field: string = MARK_AS_TRANSLATABLE("general.label.field");
  static facet: string = MARK_AS_TRANSLATABLE("general.label.facet");
  static facetMinCount: string = MARK_AS_TRANSLATABLE("general.label.facetMinCount");
  static facetLimit: string = MARK_AS_TRANSLATABLE("general.label.facetLimit");
  static facetOrder: string = MARK_AS_TRANSLATABLE("general.label.facetOrder");
  static sort: string = MARK_AS_TRANSLATABLE("general.label.sort");
  static facetDefaultVisibleValues: string = MARK_AS_TRANSLATABLE("general.label.facetDefaultVisibleValues");
  static maintenanceInProgress: string = MARK_AS_TRANSLATABLE("general.label.maintenanceInProgress");
  static serverOffline: string = MARK_AS_TRANSLATABLE("general.label.serverOffline");
  static expiration: string = MARK_AS_TRANSLATABLE("general.label.expiration");
  static defaultValue: string = MARK_AS_TRANSLATABLE("general.label.defaultValue");
  static viewNumber: string = MARK_AS_TRANSLATABLE("general.label.viewNumber");
  static downloadNumber: string = MARK_AS_TRANSLATABLE("general.label.downloadNumber");
  static rating: string = MARK_AS_TRANSLATABLE("general.label.rating");
  static dataset: string = MARK_AS_TRANSLATABLE("general.label.dataset");
  static policies: string = MARK_AS_TRANSLATABLE("general.label.policies");
  static members: string = MARK_AS_TRANSLATABLE("general.label.members");
  static guidedTour: string = MARK_AS_TRANSLATABLE("general.label.guidedTour");
  static lastSelection: string = MARK_AS_TRANSLATABLE("general.label.lastSelection");
  static avatar: string = MARK_AS_TRANSLATABLE("general.label.avatar");
  static logo: string = MARK_AS_TRANSLATABLE("general.label.logo");
  static packages: string = MARK_AS_TRANSLATABLE("general.label.packages");
  static packagesInformation: string = MARK_AS_TRANSLATABLE("general.label.packagesInformation");
  static descriptionOther: string = MARK_AS_TRANSLATABLE("general.label.descriptionOther");
  static descriptionTechnicalInfo: string = MARK_AS_TRANSLATABLE("general.label.descriptionTechnicalInfo");
  static descriptionSeriesInformation: string = MARK_AS_TRANSLATABLE("general.label.descriptionSeriesInformation");
  static descriptionTableOfContents: string = MARK_AS_TRANSLATABLE("general.label.descriptionTableOfContents");
  static descriptionMethods: string = MARK_AS_TRANSLATABLE("general.label.descriptionMethods");
  static example: string = MARK_AS_TRANSLATABLE("general.label.example");
  static lastLoginTime: string = MARK_AS_TRANSLATABLE("general.label.lastLoginTime");
  static cannotPreviewWhileMovingTheFile: string = MARK_AS_TRANSLATABLE("general.label.cannotPreviewWhileMovingTheFile");
  static yourEvaluation: string = MARK_AS_TRANSLATABLE("general.label.yourEvaluation");
  static showOnlyMyOrders: string = MARK_AS_TRANSLATABLE("general.label.showOnlyMyOrders");
  static reviews: string = MARK_AS_TRANSLATABLE("general.label.reviews");
  static partiallySupported: string = MARK_AS_TRANSLATABLE("general.label.partiallySupported");
  static downloadArchive: string = MARK_AS_TRANSLATABLE("general.label.downloadArchive");
  static thisWebsiteUsesCookiesToEnsureYouGetTheBestExperienceOnOurWebsite: string = MARK_AS_TRANSLATABLE("general.label.thisWebsiteUsesCookiesToEnsureYouGetTheBestExperienceOnOurWebsite");
  static privacy: string = MARK_AS_TRANSLATABLE("general.label.privacy");
  static moreOptions: string = MARK_AS_TRANSLATABLE("general.label.moreOptions");
  static archiveEmbargo: string = MARK_AS_TRANSLATABLE("general.label.archiveEmbargo");
  static archiveNotFound: string = MARK_AS_TRANSLATABLE("general.label.archiveNotFound");
  static archiveWithIdDoesNotExist: string = MARK_AS_TRANSLATABLE("general.label.archiveWithIdDoesNotExist");
  static mostCommonValues: string = MARK_AS_TRANSLATABLE("general.label.mostCommonValues");
  static iAcceptPrivacyPolicy: string = MARK_AS_TRANSLATABLE("general.label.iAcceptPrivacyPolicy");
  static iAcceptTermsOfUse: string = MARK_AS_TRANSLATABLE("general.label.iAcceptTermsOfUse");
  static emitterEmail: string = MARK_AS_TRANSLATABLE("general.label.emitterEmail");
  static previewDialogTitle: string = MARK_AS_TRANSLATABLE("general.label.previewDialogTitle");
  static zoomOut: string = MARK_AS_TRANSLATABLE("general.label.zoomOut");
  static zoomVal: string = MARK_AS_TRANSLATABLE("general.label.zoomVal");
  static zoomIn: string = MARK_AS_TRANSLATABLE("general.label.zoomIn");
  static unaccessibleTab: string = MARK_AS_TRANSLATABLE("general.label.unaccessibleTab");
  static previewIsPotentiallyIncompletePleaseDownloadToSeeTheRealRendering: string = MARK_AS_TRANSLATABLE("general.label.previewIsPotentiallyIncompletePleaseDownloadToSeeTheRealRendering");
  static fileSizeTooBig: string = MARK_AS_TRANSLATABLE("general.label.fileSizeTooBig");
  static provideChecksums: string = MARK_AS_TRANSLATABLE("general.label.provideChecksums");
  static theChecksumFormatIsNotTheExpectedOne: string = MARK_AS_TRANSLATABLE("general.label.theChecksumFormatIsNotTheExpectedOne");
  static checksumComputing: string = MARK_AS_TRANSLATABLE("general.label.checksumComputing");

  static hide: string = MARK_AS_TRANSLATABLE("general.link.hide");
  static show: string = MARK_AS_TRANSLATABLE("general.link.show");
  static seeDeposits: string = MARK_AS_TRANSLATABLE("general.link.seeDeposits");
  static seeDeposit: string = MARK_AS_TRANSLATABLE("general.link.seeDeposit");
  static seeArchives: string = MARK_AS_TRANSLATABLE("general.link.seeArchives");
  static seeSip: string = MARK_AS_TRANSLATABLE("general.link.seeSip");
  static seeAipDownloaded: string = MARK_AS_TRANSLATABLE("general.link.seeAipDownloaded");
  static seeDip: string = MARK_AS_TRANSLATABLE("general.link.seeDip");
  static seeAip: string = MARK_AS_TRANSLATABLE("general.link.seeAip");
  static seeArchive: string = MARK_AS_TRANSLATABLE("general.link.seeArchive");
  static link: string = MARK_AS_TRANSLATABLE("general.link.link");
  static manageArchiveAcl: string = MARK_AS_TRANSLATABLE("general.link.manageArchiveAcl");
  static learnMore: string = MARK_AS_TRANSLATABLE("general.link.learnMore");

  static fileDownloadStart: string = MARK_AS_TRANSLATABLE("general.notification.fileDownloadStart");
  static fileDownloadedSuccessfully: string = MARK_AS_TRANSLATABLE("general.notification.fileDownloadedSuccessfully");
  static fileDownloadFail: string = MARK_AS_TRANSLATABLE("general.notification.fileDownloadFail");
  static fileDownloadForbidden: string = MARK_AS_TRANSLATABLE("general.notification.fileDownloadForbidden");
  static resourceResumed: string = MARK_AS_TRANSLATABLE("general.notification.resourceResumed");
  static unableResumedResource: string = MARK_AS_TRANSLATABLE("general.notification.unableResumedResource");
  static objectCreated: string = MARK_AS_TRANSLATABLE("general.notification.objectCreated");
  static objectUpdated: string = MARK_AS_TRANSLATABLE("general.notification.objectUpdated");
  static objectDeleted: string = MARK_AS_TRANSLATABLE("general.notification.objectDeleted");
  static idCopyToClipboard: string = MARK_AS_TRANSLATABLE("general.notification.idCopyToClipboard");
  static evaluationTakenIntoAccount: string = MARK_AS_TRANSLATABLE("general.notification.evaluationTakenIntoAccount");

  static notificationHttpForbidden: string = MARK_AS_TRANSLATABLE("general.notification.httpForbidden");
  static notificationHttpInternalError: string = MARK_AS_TRANSLATABLE("general.notification.httpInternalError");
  static notificationHttpInvalidToken: string = MARK_AS_TRANSLATABLE("general.notification.httpInvalidToken");
  static notificationHttpNotFound: string = MARK_AS_TRANSLATABLE("general.notification.httpNotFound");
  static notificationHttpOffline: string = MARK_AS_TRANSLATABLE("general.notification.httpOffline");
  static notificationHttpUnauthorized: string = MARK_AS_TRANSLATABLE("general.notification.httpUnauthorized");
  static notificationIdCopyToClipboard: string = MARK_AS_TRANSLATABLE("general.notification.idCopyToClipboard");
  static notificationCopyToClipboard: string = MARK_AS_TRANSLATABLE("general.notification.copyToClipboard");
  static notificationUploadInProgress: string = MARK_AS_TRANSLATABLE("general.notification.upload.inProgress");
  static notificationUploadCancelled: string = MARK_AS_TRANSLATABLE("general.notification.upload.cancelled");
  static notificationUploadSuccess: string = MARK_AS_TRANSLATABLE("general.notification.upload.success");
  static notificationUploadFail: string = MARK_AS_TRANSLATABLE("general.notification.upload.fail");
  static notificationUploadErrorDuplicateFileFail: string = MARK_AS_TRANSLATABLE("general.notification.upload.errorDuplicateFileFail");
  static notificationUploadFileSizeLimitXExceeded: string = MARK_AS_TRANSLATABLE("general.notification.upload.fileSizeLimitXExceeded");
  static notificationPreviewDownloadFail: string = MARK_AS_TRANSLATABLE("general.notification.previewDownloadFail");
  static notificationPreviewFileNotSupported: string = MARK_AS_TRANSLATABLE("general.notification.previewFileNotSupported");
  static notificationPreviewFileContentTypeNotSupported: string = MARK_AS_TRANSLATABLE("general.notification.previewFileContentTypeNotSupported");
  static notificationPreviewFileTooBig: string = MARK_AS_TRANSLATABLE("general.notification.previewFileTooBig");

  static storagionInjectNumber: string = MARK_AS_TRANSLATABLE("general.injected.storagionInjectNumber");
  static seeInStoragionInjectNumber: string = MARK_AS_TRANSLATABLE("general.injected.seeInStoragionInjectNumber");
  static sipInjectNumber: string = MARK_AS_TRANSLATABLE("general.injected.sipInjectNumber");

  static dataTableAllElementSearchedSelected: string = MARK_AS_TRANSLATABLE("general.dataTable.allElementSearchedSelected");
  static dataTableCleanAllFilter: string = MARK_AS_TRANSLATABLE("general.dataTable.cleanAllFilter");
  static dataTableClearSelection: string = MARK_AS_TRANSLATABLE("general.dataTable.clearSelection");
  static dataTableCurrentPageElementSelected: string = MARK_AS_TRANSLATABLE("general.dataTable.currentPageElementSelected");
  static dataTableDialogLooseSelectionBody: string = MARK_AS_TRANSLATABLE("general.dataTable.dialogLooseSelectionBody");
  static dataTableDialogLooseSelectionTitle: string = MARK_AS_TRANSLATABLE("general.dataTable.dialogLooseSelectionTitle");
  static dataTableNoData: string = MARK_AS_TRANSLATABLE("general.dataTable.noData");
  static dataTableSelectAllElement: string = MARK_AS_TRANSLATABLE("general.dataTable.selectAllElement");
  static dataTableNotificationOnlyTheMaximalAmountAreSelected: string = MARK_AS_TRANSLATABLE("general.dataTable.notificationOnlyTheMaximalAmountAreSelected");

  static multiSelectNoDataToSelect: string = MARK_AS_TRANSLATABLE("general.multiSelect.noDataToSelect");
  static multiSelectNotificationExtraInfoCopyToClipboard: string = MARK_AS_TRANSLATABLE("general.multiSelect.notificationExtraInfoCopyToClipboard");
  static multiSelectPlaceholder: string = MARK_AS_TRANSLATABLE("general.multiSelect.placeholder");
  static multiSelectDefaultValue: string = MARK_AS_TRANSLATABLE("general.multiSelect.defaultValue");

  static validationErrorInvalid: string = MARK_AS_TRANSLATABLE("general.validationError.invalid");
  static validationErrorRequired: string = MARK_AS_TRANSLATABLE("general.validationError.required");

  static moreThanXContributors: string = MARK_AS_TRANSLATABLE("general.injected.moreThanXContributorsReturnedPleaseSpecifyYourSearch");
  static commentsOnDepositX: string = MARK_AS_TRANSLATABLE("general.injected.commentsOnDepositX");
  static checksumInconsistentWithExpectedValueX: string = MARK_AS_TRANSLATABLE("general.injected.checksumInconsistentWithExpectedValueX");
  static providedByX: string = MARK_AS_TRANSLATABLE("general.injected.providedByX");
}
