import {SessionStoragePartialEnum} from "solidify-frontend";

enum SessionStorageExtendEnum {
  language = "language",
  orgUnitForDepositMenu = "orgUnitForDepositMenu",
  cart = "cart",
  orderPending = "orderPending",
  notificationInboxPending = "notificationInboxPending",
  newOrderAvailable = "newOrderAvailable",
}

export const SessionStorageEnum = {...SessionStoragePartialEnum, ...SessionStorageExtendEnum} as Omit<typeof SessionStoragePartialEnum, keyof typeof SessionStorageExtendEnum> & typeof SessionStorageExtendEnum;
export type SessionStorageEnum = typeof SessionStorageEnum[keyof typeof SessionStorageEnum];
