// This file can be replaced during build by using the `fileReplacements` array.
// `ng build --prod` replaces `environment.ts` with `environment.prod.ts`.
// The list of file replacements can be found in `angular.json`.

import {defaultEnvironment} from "./environment.defaults";
import {DlcmEnvironment} from "./environment.defaults.model";
import {environmentLocal} from "./environment.local";

export const environment: DlcmEnvironment = {
  ...defaultEnvironment,
  ...environmentLocal,
};

/*
 * For easier debugging in development mode, you can import the following file
 * to ignore zone related error stack frames such as `zone.run`, `zoneDelegate.invokeTask`.
 *
 * This import should be commented out in production mode because it will have a negative impact
 * on performance if an error is thrown.
 */
// import 'zone.js/plugins/zone-error';  // Included with Angular CLI.

// export const ENVIRONMENT: InjectionToken<any> = new InjectionToken("environment");
